create table POSTAJE 
(
   ID_POSTAJE           VARCHAR2(100 CHAR)    not null,
   IP_NASLOV            VARCHAR2(100 CHAR),
   OPIS                 VARCHAR2(100 CHAR),
   DATUM                DATE                 not null,
   constraint PK_POSTAJE primary key (ID_POSTAJE)
);


CREATE TABLE INTERFACE_SERVICES 
(
  ID_INTERFACE_SERVICES    NUMBER NOT NULL,
  ID_INTERFACE  VARCHAR2(20 CHAR) not null,
  ID_EXTERNAL   VARCHAR2(50 CHAR) not null,
  SERVICE       VARCHAR2(10 CHAR) not null,
  DATEOFSERVICE DATE DEFAULT SYSDATE not null,
  ID_YACHT_CLUB VARCHAR2(50 CHAR),
  ID_OWNER      NUMBER,
  ID_YACHT      NUMBER,
  ID_STORITVE   NUMBER,
  TAX_RATE      NUMBER not null,
  TAX_AMOUNT    NUMBER not null,
  AMOUNT        NUMBER not null,
  DESCRIPTION   VARCHAR2(50 CHAR),
  ACTIVE        VARCHAR2(1 CHAR),
  constraint PK_INTERFACE_SERVICE primary key (ID_INTERFACE_SERVICES)
);

CREATE SEQUENCE ID_INTERFACE_SERVICES START WITH 1 INCREMENT BY 1;

CREATE OR REPLACE TRIGGER ID_INTERFACE_SERVICES_autoinc
BEFORE INSERT
ON INTERFACE_SERVICES
REFERENCING NEW AS NEW
FOR EACH ROW
BEGIN
SELECT ID_INTERFACE_SERVICES.nextval INTO :NEW.ID_INTERFACE_SERVICES FROM dual;;
END;;
;

ALTER TABLE S_DAVEK ADD AKT VARCHAR2(1 CHAR) DEFAULT 'D';

ALTER TABLE S_DAVEK MODIFY AKT VARCHAR2(1 CHAR) DEFAULT 'D';

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (239, SYSDATE, '5.5', 159, 'Services interface');