DROP VIEW V_M_NNCENMAR;

CREATE OR REPLACE VIEW V_M_NNCENMAR AS (
	SELECT C.ID_M_NNCENMAR, C.STORITEV, C.KAT, C.TIMEKAT, C.BRUTO_DOMACA_VALUTA, C.NETO_DOMACA_VALUTA, C.PLAN_DOMACA_VALUTA, C.DAVEK, C.NNLOCATION_ID,
  NS.OPIS AS SERVICE_OPIS,
  (SELECT KAT.OPIS FROM M_NNKATEG KAT WHERE KAT.SIFRA_SKLOPA = (SELECT M.KAT FROM M_NNSTOMAR M WHERE M.SIFRA = C.STORITEV) AND KAT.SIFRA = C.KAT) AS KAT_OPIS,
  (SELECT TIMEKAT.OPIS FROM M_NNKATEG TIMEKAT WHERE TIMEKAT.SIFRA_SKLOPA = (SELECT M.TIMEKAT FROM M_NNSTOMAR M WHERE M.SIFRA = C.STORITEV) AND TIMEKAT.SIFRA = C.TIMEKAT) AS TIMEKAT_OPIS
  FROM M_NNCENMAR C
  LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = C.STORITEV
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1708, SYSDATE, '5.5', 1628, 'V_M_NNCENMAR')
;