DROP VIEW V_DATOTEKE_PLOVIL;

CREATE OR REPLACE VIEW V_DATOTEKE_PLOVIL AS (
SELECT D.ID_DATOTEKE_PLOVIL, D.ZAPOREDNA, D.ID, D.DOKUMENT, D.DATOTEKA, D.TIP, D.GRUPA, D.VALID, D.EXPIRY_DATE, D.ID_POGODBE,
D.KOMENTAR, D.AVTOR, D.DATUM, D.USER_KREIRANJA, D.DATUM_KREIRANJA, D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS, D.FILE_REFERENCE, D.NNLOCATION_ID,
N.OPIS AS NNSTOFILTER_OPIS, P.IME AS PLOVILA_IME,
NT.SIFRA AS NNTIPPRILOGE_SIFRA, NT.OPIS AS NNTIPPRILOGE_OPIS, NT.TYPE AS NNTIPPRILOGE_TYPE, D.DOCUMENTTYPE, D.ISSUER, D.DATEISSUE, CASE WHEN EXISTS (SELECT 1 FROM DATOTEKE_PLOVIL D2 WHERE D2.ID = D.ID AND D.ZAPOREDNA =
(SELECT MAX(D3.ZAPOREDNA) FROM DATOTEKE_PLOVIL D3 WHERE D3.ID = D.ID AND D3.DOCUMENTTYPE = D.DOCUMENTTYPE)) THEN 'Y' ELSE 'N' END AS LATEST_BY_DOCUMENTTYPE
FROM DATOTEKE_PLOVIL D
LEFT OUTER JOIN NNSTOFILTER N ON N.ID = D.GRUPA
LEFT OUTER JOIN NNTIPPRILOGE NT ON NT.SIFRA = D.DOCUMENTTYPE
LEFT OUTER JOIN PLOVILA P ON P.ID = D.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2136, SYSDATE, '5.5', 2056, 'Boat file contract')
;
