ALTER TABLE SECTION_QUESTION
ADD MAP_TABLE_NAME VARCHAR2(100 CHAR);

ALTER TABLE SECTION_QUESTION
ADD MAP_COLUMN_NAME VARCHAR2(100 CHAR);

ALTER TABLE QUESTIONNAIRE_ANSWER_MASTER
ADD ID_LASTNIKA NUMBER;

ALTER TABLE QUESTIONNAIRE_ANSWER_MASTER
ADD ID_PLOVILA NUMBER;

ALTER TABLE QUESTIONNAIRE_ANSWER_MASTER
ADD DATE_CREATED DATE;

ALTER TABLE QUESTION
ADD SOURCE_TABLE_NAME VARCHAR2(100 CHAR);

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER AS (
	SELECT QA.ID, QA.ID_QUESTIONNAIRE_ANSWER_MASTER, QA.ID_QUESTION, QA.STRING_ANSWER, QA.DATE_ANSWER, QA.NUMBER_ANSWER, QA.BLOB_ANSWER,
  SQ.SORT, SQ.INPUT_REQUIRED, SQ.MAP_TABLE_NAME, SQ.MAP_COLUMN_NAME
	FROM QUESTIONNAIRE_ANSWER QA
  LEFT JOIN QUESTIONNAIRE_ANSWER_MASTER QAM ON QAM.ID = QA.ID_QUESTIONNAIRE_ANSWER_MASTER
  LEFT OUTER JOIN SECTION_QUESTION SQ ON SQ.ID_QUESTIONNAIRE = QAM.ID_QUESTIONNAIRE AND SQ.ID_QUESTION = QA.ID_QUESTION
);

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, Q.NAME AS QUESTIONNAIRE_NAME, 
  SC.NAME AS SECTION_NAME, QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (883, SYSDATE, '5.5', 803, 'Vprasalniki');