CREATE INDEX BERTH_OWNER_IX_ID_PRIVEZ ON BERTH_OWNER (ID_PRIVEZ);
CREATE INDEX BERTH_OWNER_IX_ID_LASTNIKA ON BERTH_OWNER (ID_LASTNIKA);
CREATE INDEX BERTH_OWNER_IX_DATE_RANGE ON BERTH_OWNER (DATE_FROM, DATE_TO);

CREATE INDEX BERTH_SUBLEASE_IX_ID_PRIVEZ ON BERTH_SUBLEASE (ID_PRIVEZ);
CREATE INDEX BERTH_SUBLEASE_IX_ID_LASTNIKA ON BERTH_SUBLEASE (ID_LASTNIKA);
CREATE INDEX BERTH_SUBLEASE_IX_DATE_RANGE ON BERTH_SUBLEASE (DATE_FROM, DATE_TO);

CREATE INDEX BERTH_MAINTENANCE_IX_ID_PRIVEZ ON BERTH_MAINTENANCE (ID_PRIVEZ);
CREATE INDEX BERTH_MAINTENANCE_IX_DATE ON BERTH_MAINTENANCE (DATE_FROM, DATE_TO);

CREATE INDEX REZERVAC_PERIOD_IX_DATE_RANGE ON REZERVAC_PERIOD (DATE_FROM, DATE_TO);

CREATE INDEX REZ_PER_DET_IX_ID_REZ_PER ON REZERVAC_PERIOD_DETAIL (ID_REZERVAC_PERIOD);
CREATE INDEX REZ_PER_DET_IX_ID_REZERVAC ON REZERVAC_PERIOD_DETAIL (ID_REZERVAC);

CREATE INDEX REZERVAC_GROUP_IX_ID_PRIVEZ ON REZERVAC_GROUP (ID_PRIVEZ);
CREATE INDEX REZERVAC_GROUP_IX_DATE_RANGE ON REZERVAC_GROUP (DATE_FROM, DATE_TO);

CREATE INDEX REZ_GRP_DET_IX_ID_REZ_GRP ON REZERVAC_GROUP_DETAIL (ID_REZERVAC_GROUP);
CREATE INDEX REZ_GRP_DET_IX_ID_REZERVAC ON REZERVAC_GROUP_DETAIL (ID_REZERVAC);

CREATE INDEX NNPOMOL_IX_NNLOCATION_ID ON NNPOMOL (NNLOCATION_ID);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1076, SYSDATE, '5.5', 996, 'Indexi')
;