DROP INDEX IX_ID_PRIVEZ;

alter table NNPRIVEZ add constraint NNPRIVEZ_PK primary key (ID_PRIVEZ);

DROP INDEX IX_ID;

alter table PLOVILA add constraint PLOVILA_PK primary key (ID);

create table PRIVEZI
(
    ID_PRIVEZI  NUMBER                 not null,
    ID_PRIVEZ   NUMBER                 not null,
    ID_POGODBE  NUMBER                 null    ,
    ID_PLOVILA  NUMBER                 null    ,
    constraint PK_PRIVEZI primary key (ID_PRIVEZI)
);

create index RELATION_242_FK on PRIVEZI (ID_PRIVEZ asc);

create index RELATION_243_FK on PRIVEZI (ID_POGODBE asc);

create index RELATION_244_FK on PRIVEZI (ID_PLOVILA asc);

alter table PRIVEZI
    add constraint FK_PRIVEZI_RELATION__NNPRIVEZ foreign key  (ID_PRIVEZ)
       references NNPRIVEZ (ID_PRIVEZ);

alter table PRIVEZI
    add constraint FK_PRIVEZI_RELATION__M_POGODB foreign key  (ID_POGODBE)
       references M_POGODBE (ID_POGODBE);

alter table PRIVEZI
    add constraint FK_PRIVEZI_RELATION__PLOVILA foreign key  (ID_PLOVILA)
       references PLOVILA (ID);

CREATE SEQUENCE PRIVEZI_SEQ 
START WITH 1 INCREMENT BY 1 MINVALUE 1 CACHE 20 NOCYCLE  NOORDER ;

alter table NNPRIVEZ
    add     ID_PLOVILA                 NUMBER                 null    ;

alter table PRIVEZI
    add     CEL_PRIVEZ                 VARCHAR2(1)            null    ;

alter table PRIVEZI
    add     DEL1                       VARCHAR2(1)            null    ;

alter table PRIVEZI
    add     DEL2                       VARCHAR2(1)            null    ;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (188, SYSDATE, '5.5', 108, 'PRIVEZI');